﻿@model IContentBlockViewModel<FDcontactFormular>

@{

    var umbracoHelper = Umbraco.Web.Composing.Current.UmbracoHelper;

    var rootNode = umbracoHelper.AssignedContentItem.Root() as Home;

    var adr = rootNode.BoCompanyName;

    if (!string.IsNullOrEmpty(rootNode.BoCompanyPhone))
    {
        adr += "<br/><a href='tel:" + rootNode.BoCompanyPhone + "'>" + rootNode.BoCompanyPhone + "</a>";
    }
    if (!string.IsNullOrEmpty(rootNode.BoCompanyAddress))
    {
        adr += "<br/>" + rootNode.BoCompanyAddress;
    }
    if (!string.IsNullOrEmpty(rootNode.BoCompanyEmail))
    {
        adr += "<br/><a href='mailto:" + rootNode.BoCompanyEmail + "'>" + rootNode.BoCompanyEmail + "</a>";
    }
}
<section class="wow fadeIn" style="border-top: 1px solid #ddd;">
    <div class="container col-sm-12 col-xs-mobile-fullwidth">
        <div class="vc_column-inner ">
            <div class="wpb_wrapper">
                <div class="vc_row wpb_row vc_inner vc_row-fluid">
                    <div class="wpb_column vc_column_container vc_col-sm-10 vc_col-md-6 col-xs-mobile-fullwidth text-center pofo-column-responsive-5fa0e6c5a6f9b">
                        <div class="vc_column-inner ">
                            <div class="wpb_wrapper">
                                <div class="position-relative overflow-hidden width-100">
                                    @if (Model.Content.HasValue("heading") && !string.IsNullOrEmpty(Model.Content.Value("heading").ToString()))
                                    {
                                        <span class="margin-100px-bottom xs-margin-40px-bottom font-weight-600 display-inline-block alt-font text-small text-outside-line-full text-uppercase heading-style5  heading-3">
                                            @Model.Content.Heading
                                        </span>
                                    }
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="vc_row wpb_row vc_inner vc_row-fluid">
                    <div class="wpb_column vc_column_container vc_col-md-3 vc_hidden-sm vc_hidden-xs col-xs-mobile-fullwidth">
                        <div class="vc_column-inner ">
                            <div class="wpb_wrapper">
                            </div>
                        </div>
                    </div>
                    @if (Model.Content.HasValue("formHeading") && !string.IsNullOrEmpty(Model.Content.Value("formHeading").ToString()))
                    {
                        <div class="text-extra-dark-gray alt-font text-large font-weight-600 margin-30px-bottom">
                            @Model.Content.FormHeading
                        </div>
                    }
                    <div class="row">
                        <div class="col-12 text-center">
                            <div class="vc_column-inner vc_custom_1509358787727">
                                <div class="wpb_wrapper">
                                    <div role="form" class="wpcf7" id="wpcf7-f2939-p2924-o1" lang="en-US" dir="ltr">
                                        <form action="javascript:submitForm('contact-form');"
                                              id="contact-form" class="form-div"
                                              enctype="multipart/form-data"
                                              method="post"
                                              data-wait='@umbracoHelper.GetDictionaryValue("Please wait...")'
                                              data-success='@Model.Content.Value("userMessageOnSubmit")'
                                              data-fail='@umbracoHelper.GetDictionaryValue("Sorry, something went wrong...")'
                                              data-email-subject='@Model.Content.Value("notificationSubject")'
                                              data-email-to='@Model.Content.Value("notificationReceiver")'
                                              data-email-from="@rootNode.BoCompanyEmail"
                                              data-template="~/Views/Partials/EmailTemplates/EmailTemplate.html"
                                              data-signatur-markup='<p>@adr</p>'
                                              data-intro-text-markup='@Model.Content.Value("notificationIntroMessage")'
                                              data-language='@System.Threading.Thread.CurrentThread.CurrentCulture.TwoLetterISOLanguageName'>
                                            <div class="form-group row">
                                                <div class="col-md-6">
                                                    <input class="big-input" data-val="true" data-val-required='@umbracoHelper.GetDictionaryValue("Name is required")' id='@umbracoHelper.GetDictionaryValue("Name")'
                                                           name="Name" placeholder="@(umbracoHelper.GetDictionaryValue("Name"))*" type="text" value="">
                                                    <span class="field-validation-valid" data-valmsg-for='@umbracoHelper.GetDictionaryValue("Name")' data-valmsg-replace="true"></span>
                                                </div>
                                                <div class="col-md-6">
                                                    <input class="big-input" data-val="true" data-val-email='@umbracoHelper.GetDictionaryValue("Please check your E-mail")'
                                                           data-val-required='@umbracoHelper.GetDictionaryValue("E-mail is required")' id="E-mail" name='@umbracoHelper.GetDictionaryValue("E-mail")' placeholder='@(umbracoHelper.GetDictionaryValue("E-mail"))*' type="text" value="">
                                                    <span class="field-validation-valid" data-valmsg-for='@umbracoHelper.GetDictionaryValue("E-mail")' data-valmsg-replace="true"></span>
                                                </div>
                                            </div>
                                            <div class="form-group row">
                                                <div class="col-md-12">
                                                    <textarea class="big-textarea" cols="20" id="Message" name='@umbracoHelper.GetDictionaryValue("Message")' placeholder='@umbracoHelper.GetDictionaryValue("Message")' rows="2"></textarea>
                                                </div>
                                            </div>
                                            <div class="col-md-12">
                                                <input type="submit" name="Submit" class="btn btn-transparent-dark-gray btn-large margin-20px-top" value='@umbracoHelper.GetDictionaryValue("Submit")'>
                                            </div>
                                        </form>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

@*<section class="outer-box">
        <div>
            @if (Model.Content.HasValue("heading") && !string.IsNullOrEmpty(Model.Content.Value("heading").ToString()))
            {
                <h2 class="section-title">
                    @RazorHelpers.GenerateMsHeading(Model.Content.Heading)
                </h2>
            }
            <div>
                @if (Model.Content.HasValue("formHeading") && !string.IsNullOrEmpty(Model.Content.Value("formHeading").ToString()))
                {
                    <h3>@Model.Content.FormHeading</h3>
                }
                <form action="javascript:submitForm('grovvy');"
                      id="grovvy" class="form-div"
                      enctype="multipart/form-data"
                      method="post"
                      data-wait='@umbracoHelper.GetDictionaryValue("Please wait...")'
                      data-success='@Model.Content.Value("userMessageOnSubmit")'
                      data-fail='@umbracoHelper.GetDictionaryValue("Sorry, something went wrong...")'
                      data-email-subject='@Model.Content.Value("notificationSubject")'
                      data-email-to='@Model.Content.Value("notificationReceiver")'
                      data-email-from="@rootNode.BoCompanyEmail"
                      data-template="~/Views/Partials/EmailTemplates/EmailTemplate.html"
                      data-signatur-markup='<p>@adr</p>'
                      data-intro-text-markup='@Model.Content.Value("notificationIntroMessage")'
                      data-language='@System.Threading.Thread.CurrentThread.CurrentCulture.TwoLetterISOLanguageName'>
                    <div class="form-group">
                        <input class="form-control" data-val="true" data-val-required='@umbracoHelper.GetDictionaryValue("Name is required")' id='@umbracoHelper.GetDictionaryValue("Name")'
                               name="Name" placeholder="@(umbracoHelper.GetDictionaryValue("Name"))*" type="text" value="">
                        <span class="field-validation-valid" data-valmsg-for='@umbracoHelper.GetDictionaryValue("Name")' data-valmsg-replace="true"></span>
                    </div>
                    <div class="form-group">
                        <input class="form-control" data-val="true" data-val-email='@umbracoHelper.GetDictionaryValue("Please check your E-mail")'
                               data-val-required='@umbracoHelper.GetDictionaryValue("E-mail is required")' id="E-mail" name='@umbracoHelper.GetDictionaryValue("E-mail")' placeholder='@(umbracoHelper.GetDictionaryValue("E-mail"))*' type="text" value="">
                        <span class="field-validation-valid" data-valmsg-for='@umbracoHelper.GetDictionaryValue("E-mail")' data-valmsg-replace="true"></span>
                    </div>
                    <div class="form-group col-sm-12 ">
                        <textarea class="form-control" cols="20" id="Message" name='@umbracoHelper.GetDictionaryValue("Message")' placeholder='@umbracoHelper.GetDictionaryValue("Message")' rows="2"></textarea>
                    </div>
                    <input type="submit" name="Submit" class="btn btn--image-text-overlay" value='@umbracoHelper.GetDictionaryValue("Submit")'>
                </form>
            </div>
        </div>
    </section>*@

